%define source_date 20100528

Name: mandriva-kde4-config
Summary: Mandriva KDE 4 configuration
Version: 2010.1
# TO BE REMOVED BEFORE RELEASE
# For config changes in svn ( tarball date changes ) increment major.
# For updates without touch tarball date, increment minor
Release: %mkrel 22
URL: http://www.mandriva.com
Group: Graphical desktop/KDE
BuildRoot: %_tmppath/%name-buildroot
BuildRequires: kde4-macros
BuildRequires: inkscape
Source0: %{name}-%{version}.%{source_date}.tar.bz2
Source1: kde4-firstsetup.sh
Source2: Home2.desktop
Source3: Welcome.desktop
Source4: trash.desktop
Source5: mandriva-default.js
License: GPL
BuildArch: noarch

%description
This package regroups all specific Mandriva config file for KDE.
(kicker config etc.)

#--------------------------------------------------------------------

%package common
Group: Graphical desktop/KDE
Summary: Common configs used for Mandriva theme
Requires(pre): update-alternatives
Requires: urw-fonts
Requires: mandriva-theme-screensaver
Requires: mandriva-kde-icons
Obsoletes: mandriva-kde-config-common < 2009.0-9

%description common
common configs used for Mandriva theme

%post common
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config 9

%postun common
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config
    fi
fi

%files common
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/
%dir %_localstatedir/lib/mandriva/kde4-profiles
%dir %_localstatedir/lib/mandriva/kde4-profiles/common
%_localstatedir/lib/mandriva/kde4-profiles/common/*
%_datadir/kde4/env/*
%attr(0755,root,root) %_datadir/applications/kde4/Home2.desktop
%attr(0755,root,root) %_datadir/applications/kde4/Welcome.desktop
%_datadir/applications/kde4/trash.desktop
%_kde_appsdir/kdm/themes
%exclude %_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm

#--------------------------------------------------------------------

%package -n powerpack-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Obsoletes: powerpackplus-kde4-config < 2008.0 
Obsoletes: powerpack-kde-config < 2009.0-9
Provides: powerpackplus-kde4-config = %version-%release
Requires(preun): mandriva-kde4-config-common
Requires(post): perl-MDK-Common 
Requires(post): ccp

%pre -n powerpack-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi

if [ -d %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/apps/kdesktop/Desktop
fi

%trigger -n powerpack-kde4-config -- kdebase-kdm4-config-file
    perl -MMDK::Common -e 'update_gnomekde4rc("%{_kde_configdir}/kdm/kdmrc", "General", "ConsoleTTYs", "tty1,tty2,tty3,tty4,tty5,tty6", "ServerVTs", "-7")' 

%post -n powerpack-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/powerpack/kde4rc 25

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/config/kdm/backgroundrc
ccp -b -d -i --set NoOrphans -o %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/config/kdm/kdmrc -n %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1



%postun -n powerpack-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/powerpack/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/mandriva/kde4-profiles/powerpack/kde4rc
    fi

    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/config/kdmrc
    fi
fi

%triggerpostun -n powerpack-kde4-config -- mandriva-kdm-config
update-alternatives --install \
    %_kde_configdir/kdm/kdmrc kdm4-config \
    %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/config/kdm/kdmrc \
    10 \
    --slave \
    %_kde_configdir/kdm/backgroundrc \
    kdm4-background-config \
    %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/config/kdm/backgroundrc

%description -n powerpack-kde4-config
This package regroups all specific Mandriva config file for KDE.

%files -n powerpack-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/powerpack
%_localstatedir/lib/mandriva/kde4-profiles/powerpack/*
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/config/kdm/kdmrc

#--------------------------------------------------------------------

%package -n one-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Obsoletes: one-kde-config < 2009.0-9
Requires(preun): mandriva-kde4-config-common
Requires(post): perl-MDK-Common 
Requires(post): ccp

%description -n one-kde4-config
This package regroups all specific Mandriva config file for KDE.

%pre -n one-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/one/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/one/share/apps/kdesktop/Desktop
fi

%trigger -n one-kde4-config -- kdebase-kdm4-config-file
    perl -MMDK::Common -e 'update_gnomekde4rc("%{_kde_configdir}/kdm/kdmrc", "General", "ConsoleTTYs", "tty1,tty2,tty3,tty4,tty5,tty6", "ServerVTs", "-7")' 

%post -n one-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/one/kde4rc 15

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/mandriva/kde4-profiles/one/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/mandriva/kde4-profiles/one/share/config/kdm/backgroundrc
ccp -b -d -i --set NoOrphans -o %_localstatedir/lib/mandriva/kde4-profiles/one/share/config/kdm/kdmrc -n %_localstatedir/lib/mandriva/kde4-profiles/one/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1



%postun -n one-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/one/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/mandriva/kde4-profiles/one/kde4rc
    fi

    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/one/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/mandriva/kde4-profiles/one/share/config/kdmrc
    fi
fi

%triggerpostun -n one-kde4-config -- mandriva-kdm-config
update-alternatives --install \
    %_kde_configdir/kdm/kdmrc kdm4-config \
    %_localstatedir/lib/mandriva/kde4-profiles/one/share/config/kdm/kdmrc \
    10 \
    --slave \
    %_kde_configdir/kdm/backgroundrc \
    kdm4-background-config \
    %_localstatedir/lib/mandriva/kde4-profiles/one/share/config/kdm/backgroundrc

%files -n one-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/one
%_localstatedir/lib/mandriva/kde4-profiles/one/*
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/one/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/one/share/config/kdm/kdmrc

#--------------------------------------------------------------------

%package -n flash-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Obsoletes: flash-kde-config < 2009.0-9
Requires(preun): mandriva-kde4-config-common
Requires(post): perl-MDK-Common 
Requires(post): ccp

%description -n flash-kde4-config
This package regroups all specific Mandriva config file for KDE.

%pre -n flash-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/flash/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/flash/share/apps/kdesktop/Desktop
fi

%trigger -n flash-kde4-config -- kdebase-kdm4-config-file
    perl -MMDK::Common -e 'update_gnomekde4rc("%{_kde_configdir}/kdm/kdmrc", "General", "ConsoleTTYs", "tty1,tty2,tty3,tty4,tty5,tty6", "ServerVTs", "-7")' 

%post -n flash-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/flash/kde4rc 10

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/mandriva/kde4-profiles/flash/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/mandriva/kde4-profiles/flash/share/config/kdm/backgroundrc
ccp -b -d -i --set NoOrphans -o %_localstatedir/lib/mandriva/kde4-profiles/flash/share/config/kdm/kdmrc -n %_localstatedir/lib/mandriva/kde4-profiles/flash/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1

%postun -n flash-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/flash/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/mandriva/kde4-profiles/flash/kde4rc
    fi
    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/flash/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/mandriva/kde4-profiles/flash/share/config/kdmrc
    fi
fi

%triggerpostun -n flash-kde4-config -- mandriva-kdm-config
update-alternatives --install \
    %_kde_configdir/kdm/kdmrc kdm4-config \
    %_localstatedir/lib/mandriva/kde4-profiles/flash/share/config/kdm/kdmrc \
    10 \
    --slave \
    %_kde_configdir/kdm/backgroundrc \
    kdm4-background-config \
    %_localstatedir/lib/mandriva/kde4-profiles/flash/share/config/kdm/backgroundrc

%files -n flash-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/flash
%_localstatedir/lib/mandriva/kde4-profiles/flash/*
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/flash/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/flash/share/config/kdm/kdmrc

#--------------------------------------------------------------------

%package -n free-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Requires(preun): mandriva-kde4-config-common
Obsoletes: download-kde4-config-2007 < 2008.0 
Provides:	download-kde4-config-2007
Obsoletes: discovery-kde4-config < 2008.0
Provides: discovery-kde4-config = %version-%release
Obsoletes: free-kde-config < 2009.0-9
# For upgrade
Provides:  kdebase-kdm4-config-file = 2:%version
Obsoletes: mandriva-kde4-config-file < 2008.0
Obsoletes: mandriva-kde-config-file < 2008.0
Obsoletes: mandriva-kdm-config < 2009.0-9 
Obsoletes: mandriva-kdm4-config < 2010.1-11
Provides:  mandriva-kdm4-config = %version-%release
Requires(post): perl-MDK-Common 
Requires(post): ccp

%description -n free-kde4-config
This package regroups all specific Mandriva config file for KDE.

%pre -n free-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/free/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/free/share/apps/kdesktop/Desktop
fi

%trigger -n free-kde4-config -- kdebase-kdm4-config-file
    perl -MMDK::Common -e 'update_gnomekde4rc("%{_kde_configdir}/kdm/kdmrc", "General", "ConsoleTTYs", "tty1,tty2,tty3,tty4,tty5,tty6", "ServerVTs", "-7")' 

%post -n free-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/free/kde4rc 20

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdm/backgroundrc
ccp -b -d -i --set NoOrphans -o %_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdm/kdmrc -n %_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1


%postun -n free-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/free/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/mandriva/kde4-profiles/free/kde4rc
    fi
    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdmrc
    fi
fi

%triggerpostun -n free-kde4-config -- mandriva-kdm-config
update-alternatives --install \
    %_kde_configdir/kdm/kdmrc kdm4-config \
    %_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdm/kdmrc \
    10 \
    --slave \
    %_kde_configdir/kdm/backgroundrc \
    kdm4-background-config \
    %_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdm/backgroundrc

%files -n free-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/free
%_localstatedir/lib/mandriva/kde4-profiles/free/*
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdm/kdmrc

#---------------------------------------

%package -n netbook-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Requires(preun): mandriva-kde4-config-common
Obsoletes: download-kde4-config-2007 < 2008.0 
Provides:	download-kde4-config-2007
Obsoletes: discovery-kde4-config < 2008.0
Provides: discovery-kde4-config = %version-%release
Obsoletes: free-kde-config < 2009.0-9
# For upgrade
Provides:  kdebase-kdm4-config-file = 2:%version
Obsoletes: mandriva-kde4-config-file < 2008.0
Obsoletes: mandriva-kde-config-file < 2008.0
Obsoletes: mandriva-kdm-config < 2009.0-9 
Obsoletes: mandriva-kdm4-config < 2010.1-11
Provides:  mandriva-kdm4-config = %version-%release
Requires(post): perl-MDK-Common 
Requires(post): ccp

%description -n netbook-kde4-config
This package regroups all specific Mandriva config file for KDE.

%pre -n netbook-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/netbook/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/netbook/share/apps/kdesktop/Desktop
fi

%trigger -n netbook-kde4-config -- kdebase-kdm4-config-file
    perl -MMDK::Common -e 'update_gnomekde4rc("%{_kde_configdir}/kdm/kdmrc", "General", "ConsoleTTYs", "tty1,tty2,tty3,tty4,tty5,tty6", "ServerVTs", "-7")' 

%post -n netbook-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/netbook/kde4rc 20

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/mandriva/kde4-profiles/netbook/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/mandriva/kde4-profiles/netbook/share/config/kdm/backgroundrc
ccp -b -d -i --set NoOrphans -o %_localstatedir/lib/mandriva/kde4-profiles/netbook/share/config/kdm/kdmrc -n %_localstatedir/lib/mandriva/kde4-profiles/free/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1


%postun -n netbook-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/netbook/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/mandriva/kde4-profiles/netbook/kde4rc
    fi
    if ! [ -e %_localstatedir/lib/mandriva/kde4-profiles/netbook/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/mandriva/kde4-profiles/netbook/share/config/kdmrc
    fi
fi

%triggerpostun -n netbook-kde4-config -- mandriva-kdm-config
update-alternatives --install \
    %_kde_configdir/kdm/kdmrc kdm4-config \
    %_localstatedir/lib/mandriva/kde4-profiles/netbook/share/config/kdm/kdmrc \
    10 \
    --slave \
    %_kde_configdir/kdm/backgroundrc \
    kdm4-background-config \
    %_localstatedir/lib/mandriva/kde4-profiles/netbook/share/config/kdm/backgroundrc

%files -n netbook-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/netbook
%_localstatedir/lib/mandriva/kde4-profiles/netbook/*
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/netbook/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/netbook/share/config/kdm/kdmrc

#---------------------------------------


%prep
%setup -q

%install
rm -rf %buildroot
# Create profile dirs
mkdir -p %buildroot/%{_kde_appsdir}/kdm
mkdir -p %buildroot/%{_kde_configdir}/kdm
mkdir -p %buildroot/%_localstatedir/lib/mandriva
mkdir -p %buildroot/%_datadir/applications/kde4

# We keep this common as we use the same theme for all mdv flavours
mv kde4-profiles/common/share/config/kdm/themes %buildroot/%{_kde_appsdir}/kdm
mv kde4-profiles %buildroot/%_localstatedir/lib/mandriva


for name in flash free one powerpack netbook; do
	pushd %buildroot/%_localstatedir/lib/mandriva/kde4-profiles/$name/share/apps/mandriva/pics/
		icondir=%buildroot/%_localstatedir/lib/mandriva/kde4-profiles/$name/share/icons
		mkdir -p $icondir/oxygen/scalable/places/
		cp mdvbutton.svg $icondir/oxygen/scalable/places/

		for RES in 16 22 32 48 64 128 256; do 
			mkdir -p  $icondir/oxygen/${RES}x${RES}/places
			inkscape -z -w ${RES} -h ${RES} -f mdvbutton.svg -e $icondir/oxygen/${RES}x${RES}/places/mdvbutton.png
		done
	popd

    echo "[Directories-default]" > %buildroot%_localstatedir/lib/mandriva/kde4-profiles/$name/kde4rc
    echo "prefixes=/var/lib/mandriva/kde4-profiles/common,%_localstatedir/lib/mandriva/kde4-profiles/$name" >> %buildroot%_localstatedir/lib/mandriva/kde4-profiles/$name/kde4rc
done

# Upstream
echo "[Directories-default]" > %buildroot%_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config
echo "prefixes=%{_kde_prefix}" >> %buildroot%_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config

mkdir -p %buildroot/%_datadir/kde4/env
install -m 755 %SOURCE1 %buildroot/%_datadir/kde4/env

install -m 755 %SOURCE2 %buildroot/%_datadir/applications/kde4
install -m 755 %SOURCE3 %buildroot/%_datadir/applications/kde4
install -m 755 %SOURCE4 %buildroot/%_datadir/applications/kde4

%clean
rm -rf %buildroot


%changelog
* Fri May 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-22mdv2010.1
+ Revision: 546515
- Fix dolphin first window

* Thu May 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-21mdv2010.1
+ Revision: 546361
- Do not show annotation part in kmail by default

* Thu May 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-20mdv2010.1
+ Revision: 546330
- Switch back to standard wallpaper

* Wed May 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-19mdv2010.1
+ Revision: 546121
- Update Flash banner
- Add opaque panel widget too

* Fri May 21 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-18mdv2010.1
+ Revision: 545668
- Fix theme panel
- Do not check for icons at each kde start
- Copy the welcome.desktop only if mandriva-galaxy is installed
  Patch from Funda Wang
  CCBUG: 59351

* Thu May 13 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-17mdv2010.1
+ Revision: 544672
- Fix fi position

* Wed May 12 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-16mdv2010.1
+ Revision: 544571
- Fix typo
- Add default icons for common folders
  Handle migration from old mandriva

* Wed Apr 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-15mdv2010.1
+ Revision: 540273
- Add 4.4 top banners

* Tue Apr 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-14mdv2010.1
+ Revision: 539629
- Fix plasma theme

* Tue Apr 20 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-13mdv2010.1
+ Revision: 536932
- Revert the previous changed in trash.desktop

* Fri Apr 16 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-12mdv2010.1
+ Revision: 535498
- kdm conf files have to be tagged as noreplace
  Tks ahmad for your eyes on this :)
- Fix trash.desktop
- Fix trash.desktop

* Wed Apr 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-11mdv2010.1
+ Revision: 534911
- New version
    - New netbook profile
- No need to define showBatteryString to true, as this is default in mandriva now

* Mon Feb 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-10mdv2010.1
+ Revision: 509618
- Fix upgrades
  Obsoletes/Provides the kdm subpackage
- Add %%triggerpostun to handle upgrades with kde3
- Add kdm config files in each packages, that way we respect mdv flavour colours
- Fix wrong postun, a fi was missing
- Remove netbook package
- Not needed for the moment
- Enhance battery applet

* Tue Feb 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-9mdv2010.1
+ Revision: 499565
- Add missing images

* Tue Feb 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-8mdv2010.1
+ Revision: 499492
- Put the battery applet in the systray too
- Fix default plasmoids order so they do not get mixed
  Remove devicenotifier from the taskbar but put in the systray instead

* Mon Feb 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-7mdv2010.1
+ Revision: 499063
- Fix themes

* Sun Jan 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-6mdv2010.1
+ Revision: 498868
- Change the name of the themes
- Add a battery applet on laptop and mobile devices
- Add back source5 removed by error

* Fri Jan 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-5mdv2010.1
+ Revision: 495023
- Use timeoftheday by default
- Remove unused lines
- lock the desktop by default
- Remove TODO, this is now fixed in kdelibs
- Add draft js file ( will replace plasma config files )

* Sat Jan 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-4mdv2010.1
+ Revision: 484931
- Fix dolphin default window
  Allow to see by default the copy to and move to menus

* Wed Dec 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-3mdv2010.1
+ Revision: 483869
- New version, now kdm can handle fingerprints logins
- Adapt to new config files name

* Mon Nov 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-2mdv2010.1
+ Revision: 469324
- Use virtuoso as default nepomuk backend
- Fix upgrade from older mandriva
- Fix typo
- Use new tarball
- Create a netbook sub package

* Thu Oct 29 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2010.0-27mdv2010.0
+ Revision: 460167
- add the new splash themes

* Wed Oct 28 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2010.0-26mdv2010.0
+ Revision: 459710
- Add the rounded buttons for the menu

* Wed Oct 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-25mdv2010.0
+ Revision: 459687
- Remove old kde3 media.desktop

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - New release adding more pieces of artwork

* Sat Oct 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-23mdv2010.0
+ Revision: 459133
- Use triggerpostun to create the kdmrc file removed by the removal of mandriva-kdm-config
- Remove Conflicts

  + Raphaël Gertz <rapsys@mandriva.org>
    - Add hide of ccp output as fcrozat requested
    - Add missing requires(post): ccp

* Tue Oct 20 2009 Raphaël Gertz <rapsys@mandriva.org> 2010.0-21mdv2010.0
+ Revision: 458377
- Add merge with rpmnew

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix alternatives
    - New tarball without backup filetypesrc~

* Sun Oct 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-18mdv2010.0
+ Revision: 458073
- increase ServerTimeout from 15 to 120 (Bug #54115 #54318)
- Use default KDE debugs for the release ( Bug #54582)
- Fix opening of xhtml+xml files ( BUG # 33415)
- Fix initial KMail configurtion

* Thu Oct 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-15mdv2010.0
+ Revision: 457603
- More conflicts

* Thu Oct 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-14mdv2010.0
+ Revision: 457548
- Fix upgrade of kdm config

* Wed Oct 14 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-13mdv2010.0
+ Revision: 457348
- Fix typo

* Tue Oct 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-12mdv2010.0
+ Revision: 457183
- add obsoletes

* Mon Sep 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-11mdv2010.0
+ Revision: 450526
- Add search field on dolphin

* Sat Sep 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-10mdv2010.0
+ Revision: 449584
- Fix dolphin at first launch

* Wed Sep 09 2009 Helio Chissini de Castro <helio@mandriva.com> 2010.0-9mdv2010.0
+ Revision: 436101
- Change Home to point ot dolphin instead of konqueror
- Both desktop links need to be executable status to avoid reference warning marks

* Thu Aug 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-8mdv2010.0
+ Revision: 421735
- Show Home on the desktop

* Fri Aug 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-7mdv2010.0
+ Revision: 418924
- Fix release
- Bump release
- Add missing desktop file
- Add back Home icon on the desktop
- Fix typo

* Fri Jul 31 2009 Helio Chissini de Castro <helio@mandriva.com> 2010.0-0.6.2mdv2010.0
+ Revision: 405263
- Fix icon structure to use png and render from svg

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - this is not needed as handled by /usr/lib/kconf_update_bin/plasma-to-plasma-desktop

* Mon Jul 27 2009 Helio Chissini de Castro <helio@mandriva.com> 2010.0-0.6.1mdv2010.0
+ Revision: 400838
- Update icon for menu and update for iaora-qt to iaorakde

* Mon Jun 29 2009 Helio Chissini de Castro <helio@mandriva.com> 2010.0-0.5.1mdv2010.0
+ Revision: 390605
- As we using default theme Air as a replacement for Aya, we don't need setup it in rc file

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Handle plasma conf file name changes
    - Forwardport commit 387188

* Wed Jun 24 2009 Helio Chissini de Castro <helio@mandriva.com> 2010.0-0.4.1mdv2010.0
+ Revision: 388868
- Goodbye Aya. We have a new default theme to embrace our distro..

* Wed May 27 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 2010.0-0.3mdv2010.0
+ Revision: 380238
- update Flash top bar
- update top menu image

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - At first boot KDE already install a Home link, do not add it twice

* Sat May 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-0.2mdv2010.0
+ Revision: 373729
- Bump release
- Add more icons

* Sat May 02 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-0.1mdv2010.0
+ Revision: 370409
- Adapt to new kde 4.3 config files name

* Thu Apr 23 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-23mdv2009.1
+ Revision: 368814
- Removed override icon for x-image-generic. Leftover from openoffice icons added in 2008.1

* Mon Apr 20 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-22mdv2009.1
+ Revision: 368466
- Fix panel resize issue. Update tarball with svn mandriva upstream data

* Mon Apr 20 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-21mdv2009.1
+ Revision: 368278
- Add comment about patch0
- Add back the trash icon as this is what will be used on default desktop
- Fix open of Home Desktop icon

* Thu Apr 16 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-20mdv2009.1
+ Revision: 367708
- We don't use trash desktop anymore on kde4. Solve issue for nautilus too.

* Thu Apr 09 2009 Arthur Renato Mello <arthur@mandriva.com> 2009.1-19mdv2009.1
+ Revision: 365392
- Update Kickoff button for PWP

* Thu Apr 09 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-18mdv2009.1
+ Revision: 365387
- New version fixing the color schemes

* Tue Apr 07 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-17mdv2009.1
+ Revision: 364904
- Add the colorScheme tag to the default color schemes so that
  xsettings-kde works

* Mon Apr 06 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-16mdv2009.1
+ Revision: 364296
- New release fixing mandriva colors and the menu topbar

* Fri Apr 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-15mdv2009.1
+ Revision: 363876
- Show trash only in Kde

* Thu Apr 02 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.1-14mdv2009.1
+ Revision: 363606
- New version containing the latest artwork for menu and splash

* Wed Apr 01 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.1-13mdv2009.1
+ Revision: 363382
- Add aya as a suggests for common config profile

* Mon Mar 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-12mdv2009.1
+ Revision: 362233
- Do not show Welcome and Home menuentries

* Tue Mar 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-11mdv2009.1
+ Revision: 360893
- Fix trashcan icon

* Mon Mar 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-10mdv2009.1
+ Revision: 360713
- Fix typo

* Sun Mar 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-9mdv2009.1
+ Revision: 360478
- Fix macros
- Use icon for the trash
  Add icon of the mdv button ( needed for next kdebase4-workspace )

* Tue Mar 10 2009 Anne Nicolas <anne.nicolas@mandriva.com> 2009.1-8mdv2009.1
+ Revision: 353395
- Fix trash position

* Mon Mar 09 2009 Arthur Renato Mello <arthur@mandriva.com> 2009.1-7mdv2009.1
+ Revision: 353265
- Add new Mandriva menu button for KDE

* Fri Mar 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-6mdv2009.1
+ Revision: 349801
- Fix file list
  Fix trash applet position
  Force 2 row for the virtual desktop applet
- Add back the Welcome icon on the desktop

* Thu Feb 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-5mdv2009.1
+ Revision: 339708
- Change some default 3D effects ( to avoid conflicts, and be eye-candy )

* Tue Feb 03 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2009.1-4mdv2009.1
+ Revision: 336959
- show Home2.desktop only in KDE

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Open dolphin on $HOME
    - Fix requires ( needed for Home2.desktop)

* Wed Jan 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.1-3mdv2009.1
+ Revision: 332267
- Fix trash position
- Lock the plasma bar at first start
  Use folderview as desktop plugin and not as a plasmoid anymore ( kde3 way of use )
- Use mandriva icon

* Wed Jan 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.0-53mdv2009.1
+ Revision: 332108
- Rename Source2 to avoid conflicts
- Copy a file manager desktop file on the desktop

* Wed Jan 07 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-51mdv2009.1
+ Revision: 326785
- new release fixing the window title colors

* Fri Dec 19 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-50mdv2009.1
+ Revision: 316265
- Fix the battery applet

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Do not use powersave anymore but battery applet

* Fri Dec 19 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-49mdv2009.1
+ Revision: 316230
- Fix some plasma configs (background and menu)

* Wed Oct 08 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-48mdv2009.0
+ Revision: 291201
- Rebuild with cooker signature

* Thu Oct 02 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-47mdv2009.0
+ Revision: 290958
- There is a bug in KSharedConfig which makes it not reading kdeglobals
  from kde prefixes. Fixed by copying kdeglobals to /usr/share/config.

* Thu Oct 02 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-46mdv2009.0
+ Revision: 290901
- Amarok and kdm rc rational changes
- Little larger and sharp Mandriva button

* Wed Oct 01 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-45mdv2009.0
+ Revision: 290671
- Update mandriva base menu icon

* Wed Oct 01 2008 Olivier Blin <oblin@mandriva.com> 2009.0-44mdv2009.0
+ Revision: 290327
- remove special case for draklive-install, it has nothing to do here

* Tue Sep 30 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-43mdv2009.0
+ Revision: 290230
- Fix the status messages for the splash screen
- Make the slideshow the default screensaver and point it to the right directory

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-42mdv2009.0
+ Revision: 290143
- Draklive icon should go in the right directory, not a specific Desktop since we're using translated xdg-user-dirs
- Missing config confirmation after desktop icons creation

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-40mdv2009.0
+ Revision: 290124
- We should not require binaries in kde4 config. Splash should go to runtime package

* Mon Sep 29 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-39mdv2009.0
+ Revision: 289683
- folderview now receive icons from Mandriva

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-38mdv2009.0
+ Revision: 288238
- Change place for env file, as requested

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-37mdv2009.0
+ Revision: 288219
- Silence nepomuk in startup...

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-36mdv2009.0
+ Revision: 288131
- Locale for kdm was hardcoded ( last file ? )
- Sub shell script in env with exit invokes all default desktop calls bail out. Similar issue happened in keychain script

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-35mdv2009.0
+ Revision: 287979
- Powersave comes from first setup in a script, this eliminate the issue of having a useless applet in the panel bar

* Wed Sep 24 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-34mdv2009.0
+ Revision: 287942
- Adding ksplash themes information to be show on system settings

* Tue Sep 23 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-33mdv2009.0
+ Revision: 287384
- Put proper powersave applet

* Tue Sep 23 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-32mdv2009.0
+ Revision: 287237
- Adding require for kde4-splash-mdv
- Changing ksplashrc to use kde4-splash-mdv

* Mon Sep 22 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-31mdv2009.0
+ Revision: 287132
- Importing KDE Splash Themes for 2009.0

* Mon Sep 22 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-30mdv2009.0
+ Revision: 287095
- Applets position

* Mon Sep 22 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-29mdv2009.0
+ Revision: 286821
- Added battery applet
- Added four oasis defined mimetype icons provided by Cabral
- Try to move systray applet to a different position to come before clock
- Little changes to make Qa and Vincent happy. ( or less annoyed )
- Clock position
- Notification applet

* Fri Sep 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-27mdv2009.0
+ Revision: 284274
- Mandriva launcher menu.

* Wed Sep 10 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-26mdv2009.0
+ Revision: 283579
- Add button on kdm

* Fri Sep 05 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-25mdv2009.0
+ Revision: 281355
- Fix the untested firefox modification which lead kfmclient going nuts

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-24mdv2009.0
+ Revision: 280954
- Sounds back to ia_ora

* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-23mdv2009.0
+ Revision: 277340
- Forced 96dpi to fonts as requested

* Thu Aug 28 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-22mdv2009.0
+ Revision: 276869
- Fix menubar images

* Wed Aug 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-21mdv2009.0
+ Revision: 276606
- We don't want real files sit on kdm, so move old ones to kdmrc.old
- Update kdm theme with final layout

* Tue Aug 26 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-19mdv2009.0
+ Revision: 276079
- Prepare icons for mandriva menu

* Tue Aug 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-18mdv2009.0
+ Revision: 273951
- Prepare to iaora style and window decorator

* Tue Aug 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-17mdv2009.0
+ Revision: 271131
- Added notification applet and lock applet on kicker like bar

* Thu Aug 07 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-16mdv2009.0
+ Revision: 266299
- Start to populate configs

* Mon Jul 28 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-15mdv2009.0
+ Revision: 251495
- Make IaOra the default widget style

* Fri Jul 18 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-14mdv2009.0
+ Revision: 238302
- Disable all kwin effects

* Wed Jul 09 2008 Olivier Blin <oblin@mandriva.com> 2009.0-13mdv2009.0
+ Revision: 232934
- make sure /usr/share/config/kdm exists before alternative is set
  (kdm owns /usr/share/config/kdm, but is installed after,
   since it requires mandriva-kdm4-config)

* Tue Jul 08 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-12mdv2009.0
+ Revision: 232852
- Added alternatives method for kdm. Is easier handle this way than change old C codebase for read standard profiles.
- Post kdm4 packages will requires kdm4-config-file, which mean any oem or different layout for kdm can now be easyly handled
  by alternatives.
- Upstream kdm config will be provided in future

* Fri Jul 04 2008 Anssi Hannula <anssi@mandriva.org> 2009.0-11mdv2009.0
+ Revision: 231821
- fix typo in upstream-kde4-config alternatives command of -common
- own /var/lib/mandriva/kde4-profiles in -common

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-10mdv2009.0
+ Revision: 228720
- Panel basic default fixed
- kwin simple effects with xrender
- Aya theme as base

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-8mdv2009.0
+ Revision: 228601
- Use theme in appsdir for now
- Adding somple plasma theme

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-7mdv2009.0
+ Revision: 227629
- Fixed config to match right wallpaper and include a bar that was missing

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-6mdv2009.0
+ Revision: 227564
- Update kdmrc for new X paths

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-5mdv2009.0
+ Revision: 227181
-Small rusty configs

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon May 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.0-4mdv2009.0
+ Revision: 211392
- Reupload because of missing binary

* Thu May 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2009.0-3mdv2009.0
+ Revision: 210140
- Move in /usr

* Wed May 07 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-2mdv2009.0
+ Revision: 202873
- Fixed kdm theme location

* Tue May 06 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 202258
- Remove conflicts that was suppose to be to kde 3 package
- First fully functional kde4 config

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2008.0-2mdv2008.1
+ Revision: 140944
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 95234
- Use double click by default

* Tue Oct 02 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-1mdv2008.0
+ Revision: 94679
- import mandriva-kde4-config


